diff -rauN ../orig/docbook-xsl-1.73.2.dfsg.1/debian/changelog ./docbook-xsl-1.73.2.dfsg.1/debian/changelog
--- ../orig/docbook-xsl-1.73.2.dfsg.1/debian/changelog	2008-03-29 15:08:50.000000000 +0100
+++ ./docbook-xsl-1.73.2.dfsg.1/debian/changelog	2008-03-30 17:11:33.452393582 +0200
@@ -1,3 +1,23 @@
+docbook-xsl (1.73.2.dfsg.1-3.1) unstable; urgency=low
+
+  * Non-maintainer upload allowed by maintainer.
+  * debian/patches/7806_manpages_no-break_spaces.dpatch: Added.
+    Backported from upstream revision 7806 to fix issues with non-breaking
+    spaces in manpages (e.g. the French aptitude(8) or login(1)).
+    Closes: #473244
+    - manpages/charmap.groff.xsl: change non-breaking spaces to "\ \&" instead
+    of "\ ".
+    - manpages/other.xsl: Ditto.
+  * debian/patches/00list: Adjusted accordingly.
+  * debian/docbook-xsl-doc-html.doc-base: Remove leading "Apps/" in the
+    Section field. This fixes a lintian warning by using the new doc-base
+    sections specified in /usr/share/doc-base/data/section.list, to match the
+    section 2.3.3 of the doc-base Manual.
+  * debian/docbook-xsl-doc-text.doc-base: Ditto.
+  * debian/docbook-xsl-doc-pdf.doc-base: Ditto.
+
+ -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Sun, 30 Mar 2008 15:52:13 +0200
+
 docbook-xsl (1.73.2.dfsg.1-3) unstable; urgency=low
 
   * debian/presubj: Shorten the general note about bug-reporting (put it into
diff -rauN ../orig/docbook-xsl-1.73.2.dfsg.1/debian/docbook-xsl-doc-html.doc-base ./docbook-xsl-1.73.2.dfsg.1/debian/docbook-xsl-doc-html.doc-base
--- ../orig/docbook-xsl-1.73.2.dfsg.1/debian/docbook-xsl-doc-html.doc-base	2008-03-29 15:08:50.000000000 +0100
+++ ./docbook-xsl-1.73.2.dfsg.1/debian/docbook-xsl-doc-html.doc-base	2008-03-30 16:04:33.692194636 +0200
@@ -5,7 +5,7 @@
 Abstract: Reference material for stylesheet parameters and templates.
  Included is a brief introduction to XSL and instructions for using
  the stylesheets with some common XSLT processors.
-Section: Apps/Text
+Section: Text
 
 Format: HTML
 Index: /usr/share/doc/docbook-xsl-doc-html/doc/index.html
diff -rauN ../orig/docbook-xsl-1.73.2.dfsg.1/debian/docbook-xsl-doc-pdf.doc-base ./docbook-xsl-1.73.2.dfsg.1/debian/docbook-xsl-doc-pdf.doc-base
--- ../orig/docbook-xsl-1.73.2.dfsg.1/debian/docbook-xsl-doc-pdf.doc-base	2008-03-29 15:08:50.000000000 +0100
+++ ./docbook-xsl-1.73.2.dfsg.1/debian/docbook-xsl-doc-pdf.doc-base	2008-03-30 16:04:38.652143926 +0200
@@ -5,7 +5,7 @@
 Abstract: Reference material for stylesheet parameters and templates.
  Included is a brief introduction to XSL and instructions for using
  the stylesheets with some common XSLT processors.
-Section: Apps/Text
+Section: Text
 
 Format: PDF
 Files: /usr/share/doc/docbook-xsl-doc-pdf/reference.pdf.gz
diff -rauN ../orig/docbook-xsl-1.73.2.dfsg.1/debian/docbook-xsl-doc-text.doc-base ./docbook-xsl-1.73.2.dfsg.1/debian/docbook-xsl-doc-text.doc-base
--- ../orig/docbook-xsl-1.73.2.dfsg.1/debian/docbook-xsl-doc-text.doc-base	2008-03-29 15:08:50.000000000 +0100
+++ ./docbook-xsl-1.73.2.dfsg.1/debian/docbook-xsl-doc-text.doc-base	2008-03-30 16:04:43.144143396 +0200
@@ -5,7 +5,7 @@
 Abstract: Reference material for stylesheet parameters and templates.
  Included is a brief introduction to XSL and instructions for using
  the stylesheets with some common XSLT processors.
-Section: Apps/Text
+Section: Text
 
 Format: text
 Files: /usr/share/doc/docbook-xsl-doc-text/reference.txt.gz
diff -rauN ../orig/docbook-xsl-1.73.2.dfsg.1/debian/patches/00list ./docbook-xsl-1.73.2.dfsg.1/debian/patches/00list
--- ../orig/docbook-xsl-1.73.2.dfsg.1/debian/patches/00list	2008-03-29 15:08:50.000000000 +0100
+++ ./docbook-xsl-1.73.2.dfsg.1/debian/patches/00list	2008-03-30 15:49:01.177844151 +0200
@@ -9,3 +9,4 @@
 7656_html_component_title_in_info_elements
 7668_locale_update_and_fix_norwegian_bokmal
 7674_man_fix_unescaped_dash_in_whatis_entry
+7806_manpages_no-break_spaces
diff -rauN ../orig/docbook-xsl-1.73.2.dfsg.1/debian/patches/7806_manpages_no-break_spaces.dpatch ./docbook-xsl-1.73.2.dfsg.1/debian/patches/7806_manpages_no-break_spaces.dpatch
--- ../orig/docbook-xsl-1.73.2.dfsg.1/debian/patches/7806_manpages_no-break_spaces.dpatch	1970-01-01 01:00:00.000000000 +0100
+++ ./docbook-xsl-1.73.2.dfsg.1/debian/patches/7806_manpages_no-break_spaces.dpatch	2008-03-30 16:26:03.611662389 +0200
@@ -0,0 +1,44 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 7806_manpages_no-break_spaces.dpatch by Nicolas François (Nekral) <nicolas.francois@centraliens.net>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Upstream fix from revision 7806 (Michael Smith):
+## DP:   convert no-break space character to groff "\ \&" (instead of just
+## DP:   "\ "). the reason is that if a space occurs at the end of a line,
+## DP:   our processing causes it to be eaten. a real-world case of this is
+## DP:   the mysql(1) man page. appending the "\&" prevents that
+## DP:
+## DP: <URL:http://docbook.svn.sourceforge.net/docbook/?rev=7806&view=rev>
+## DP: <URL:http://sourceforge.net/tracker/index.php?func=detail&aid=1928775&group_id=21935&atid=373747>
+## DP:
+## DP: <URL:http://bugs.debian.org/473244>
+
+@DPATCH@
+diff -urNad docbook-xsl-1.73.2.dfsg.1~/manpages/charmap.groff.xsl docbook-xsl-1.73.2.dfsg.1/manpages/charmap.groff.xsl
+--- docbook-xsl-1.73.2.dfsg.1~/manpages/charmap.groff.xsl	2008-03-30 16:24:19.000000000 +0200
++++ docbook-xsl-1.73.2.dfsg.1/manpages/charmap.groff.xsl	2008-03-30 16:24:26.744144451 +0200
+@@ -99,7 +99,7 @@
+    character="&#x00a0;"
+    u:name="NO-BREAK SPACE"
+    u:entity="nbsp"
+-   string="\ "
++   string="\ \&amp;"
+    u:block="C1 Controls And Latin-1 Supplement (Latin-1 Supplement)"
+    u:class="symbols"
+    />
+diff -urNad docbook-xsl-1.73.2.dfsg.1~/manpages/other.xsl docbook-xsl-1.73.2.dfsg.1/manpages/other.xsl
+--- docbook-xsl-1.73.2.dfsg.1~/manpages/other.xsl	2008-03-30 16:24:26.396393770 +0200
++++ docbook-xsl-1.73.2.dfsg.1/manpages/other.xsl	2008-03-30 16:24:26.748144020 +0200
+@@ -272,7 +272,11 @@
+     <!-- * Unfortunately, roff seems to do some weird things with -->
+     <!-- * long lines that only have words separated by "\~" -->
+     <!-- * spaces, so it's safer just to stick with the "\ " space -->
+-    <xsl:with-param name="replacement">\ </xsl:with-param>
++    <!-- *  -->
++    <!-- * We append a "\&" to handle the case of a no-break space that -->
++    <!-- * appears at the end of a line - because later processing will -->
++    <!-- * cause that space to get eaten otherwise. -->
++    <xsl:with-param name="replacement">\ \&amp;</xsl:with-param>
+   </xsl:call-template>
+ </xsl:template>
+ 
